Some Form of Ratings

March 20, 2015 07:17 - S. Quinn

Status: Rejected Start date: March 20, 2015

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version: 3.6   

Description

It would be beneficial for users who are trying to prune their music collections in an organic manner if there was an easy way to rate

music as it plays, and see and sort by those ratings, similar to the Marks feature in AIMP.

Not pulling over the unalterable default of rating songs as a 1-star if the user does not interact with a song that lacks a rating would

be preferable; it makes the whole rating system much less useful.

A five-star system is, to me, preferable to the up-down rating system used by some competing cross-platform options. If you default

to a neutral rating of 3, you have two levels of "like" and "dislike/not impressed", which seems to be about right for grain. Those who

want just three options can easily ignore the two and three star ratings, or a different plugin might be used. User-choosable rating

scales within one plugin seems likely to cause issues with previously-rated music, but it's not guaranteed.

This is the only feature area I have found that Audacious completely lacks. I am using both the Windows and Linux Mint versions of

Audacious.

History

#1 - March 20, 2015 20:55 - John Lindgren

- Tracker changed from Bug to Feature

#2 - July 10, 2016 06:50 - John Lindgren

- Status changed from New to Rejected

Not a realistic feature given the current slow pace of development.  Closing.

Powered by TCPDF (www.tcpdf.org)

May 06, 2025 1/1

http://www.tcpdf.org

